For the complete documentation index, see llms.txt. This page is also available as Markdown.

List all accessible contracts

This operation is retrieving a list of contracts that your account credentials are authorized to access. This operation is primarily useful to IONOS' Resellers, as a non-reseller user account will only have access to a single contract.

get
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Responses
200

Successful operation

application/json

Describes a reference to a specific activity log source.

idinteger · int64Optional

The Contract ID

typestringOptional

A string indicating the type

hrefstring · uriOptional

A URL reference

get/activitylog/v1/contracts
GET /activitylog/v1/contracts HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
[
  {
    "id": 12345678,
    "type": "contracts",
    "href": "https://api.ionos.com/activitylog/v1/contracts/12345678"
  },
  {
    "id": 98765432,
    "type": "contracts",
    "href": "https://api.ionos.com/activitylog/v1/contracts/98765432"
  }
]

Last updated

Was this helpful?